## megahal 8.6

=== Makefile ===
#
#  Copyright (C) 1998 Jason Hutchens
#
#  This program is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License as published by the Free
#  Software Foundation; either version 2 of the license or (at your option)
#  any later version.
#
#  This program is distributed in the hope that it will be useful, but
#  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
#  or FITNESS FOR A PARTICULAR PURPOSE.  See the Gnu Public License for more
#  details.
#
#  You should have received a copy of the GNU General Public License along
#  with this program; if not, write to the Free Software Foundation, Inc.,
#  675 Mass Ave, Cambridge, MA 02139, USA.
#

all:	megahal

megahal:
	@echo "Please use 'make system', where system is one of the following:"
	@echo "- sunos or sunos_debug"
	@echo "- irix"
	@echo "- linux, linux_dbmalloc or linux_debug"
	@echo "- osf"

sunos: megahal.c megahal.h
	gcc -o megahal_sunos megahal.c -lm -DSUNOS
	@echo "MegaHAL for SunOS is up to date"

sunos_debug: megahal.c megahal.h debug.c debug.h
	gcc -o megahal_sunos megahal.c debug.c -lm -DSUNOS -DDEBUG
	@echo "MegaHAL (debug) for SunOS is up to date"

irix: megahal.c megahal.h
	gcc -o megahal_irix megahal.c -lm -DIRIX
	@echo "MegaHAL for IRIX is up to date"

linux: megahal.c megahal.h
	gcc -o megahal_linux megahal.c -lm -DLINUX
	@echo "MegaHAL for Linux is up to date"

linux_debug: megahal.c megahal.h debug.c debug.h
	gcc -o megahal_linux megahal.c debug.c -lm -DLINUX -DDEBUG
	@echo "MegaHAL (debug) for Linux is up to date"

linux_dbmalloc: megahal.c megahal.h
	gcc -o megahal_linux megahal.c -lm -DLINUX -ldbmalloc -L. -I.
	@echo "MegaHAL (dbmalloc) for Linux is up to date"

osf: megahal.c megahal.h
	cc -o megahal_osf megahal.c -lm -DOSF
	@echo "MegaHAL for Alpha is up to date"

#
#	$Log: Makefile,v $
#	Revision 1.2  1998/04/21 10:10:56  hutch
#	Updated.
#
#	Revision 1.1  1998/04/06 08:03:34  hutch
#	Initial revision
#

## megahal 9.0.3-6

=== Makefile ===
#
#  Copyright (C) 1998 Jason Hutchens
#
#  This program is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License as published by the Free
#  Software Foundation; either version 2 of the license or (at your option)
#  any later version.
#
#  This program is distributed in the hope that it will be useful, but
#  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
#  or FITNESS FOR A PARTICULAR PURPOSE.  See the Gnu Public License for more
#  details.
#
#  You should have received a copy of the GNU General Public License along
#  with this program; if not, write to the Free Software Foundation, Inc.,
#  675 Mass Ave, Cambridge, MA 02139, USA.
#

# DEBUG=-DDEBUG
CFLAGS=-O3 -g


all:	megahal

megahal: main.o megahal.o megahal.h backup
	gcc $(CFLAGS) -o megahal megahal.o main.o -lm $(DEBUG)
	@echo "MegaHAL is up to date"

megahal.o: megahal.c megahal.h
	gcc -fPIC $(CFLAGS) -c megahal.c 

main.o: main.c megahal.h
	gcc $(CFLAGS) -c main.c 

tcl-interface.o: tcl-interface.c
	gcc -fPIC $(CFLAGS) -c tcl-interface.c

tcllib: megahal.o tcl-interface.o
	gcc -fPIC -shared -Wl,-soname,libmh_tcl.so -o libmh_tcl.so megahal.o tcl-interface.o

python-interface.o: python-interface.c
	gcc -fPIC -c python-interface.c

pythonlib: megahal.o python-interface.o
	gcc -fPIC -shared -Wl,-soname,mh_python.so -o mh_python.so megahal.o python-interface.o

version:
	./cvsversion.tcl

dist: clean version
	(cd .. ; tar -czvf megahal-`cat megahal/VERSION`.tar.gz megahal/ ; )

clean:
	rm -f megahal
	rm -f megahal.brn megahal.log megahal.txt
	if [ -e megahal.dic.backup ];then\
		cp megahal.dic.backup megahal.dic;\
		rm megahal.dic.backup;\
	fi
	-rm *.o *.so *~

backup:
	if [ ! -e megahal.dic.backup ];then\
		cp megahal.dic megahal.dic.backup;\
	fi



#
#	$Log: Makefile,v $
#	Revision 1.4  2001/07/06 10:16:39  davidw
#	Added -fPIC for HPPA folks.
#	
#	Revision 1.3  2000/11/08 11:07:11  davidw
#	Moved README to docs directory.
#	
#	Changes to debian files.
#	
#	Revision 1.2  2000/09/07 11:43:43  davidw
#	Started hacking:
#	
#	Reduced makefile targets, eliminating non-Linux OS's.  There should be
#	a cleaner way to do this.
#	
#	Added Tcl and Python C level interfaces.
#	
#	Revision 1.2  1998/04/21 10:10:56  hutch
#	Updated.
#
#	Revision 1.1  1998/04/06 08:03:34  hutch
#	Initial revision
#

=== debian/changelog ===
megahal (9.0.3-6) unstable; urgency=low

  * Added patch from Jose Carlos Garcia Sogo to depend on python1.5-dev
    (closes: #133711)

 -- David N. Welton <davidw@debian.org>  Sat, 16 Feb 2002 12:29:42 +0100

megahal (9.0.3-5) unstable; urgency=low

  * Added -fPIC to Makefile for HPPA folks.
  * (closes: #103682)

 -- David N. Welton <davidw@debian.org>  Fri,  6 Jul 2001 12:14:10 +0200

megahal (9.0.3-4) unstable; urgency=low

  * Updated build-depends to tcl8.3-dev.
  * (closes: #100794)

  * Cannot reproduce this bug anymore.  It was for an older version.
  * (closes: #100794)

  * Fix -h command line option.
  * (closes: #100814)

 -- David N. Welton <davidw@debian.org>  Fri, 15 Jun 2001 16:07:32 +0200

megahal (9.0.3-3) unstable; urgency=low

  * Added 'help' command line option.

  * Closes #75775.

 -- David N. Welton <davidw@debian.org>  Sun, 25 Feb 2001 20:43:36 +0100

megahal (9.0.3-2) unstable; urgency=low

  * Updated dependency.

  * (Fixes #76916)

 -- David N. Welton <davidw@debian.org>  Fri, 16 Feb 2001 14:47:33 +0100

megahal (9.0.3-1) unstable; urgency=low

  * Updated maintainer entry.

  * New version with my own changes to megahal.  For now these are not
    included in the .deb, but will move towards librarifying megahal, and
    providing C, Tcl and Python API's to it.

 -- David N. Welton <davidw@debian.org>  Tue,  7 Nov 2000 15:16:39 +0100

megahal (8.6-11) unstable; urgency=low

  * Updated Maintainer: entry.

 -- David N. Welton <davidw@linuxcare.com>  Fri,  1 Sep 2000 19:23:25 +0200

megahal (8.6-10) unstable; urgency=low

  * Updated Maintainer: entry

 -- Eric M. Schwartz <emschwar@debian.org>  Mon, 21 Aug 2000 19:41:00 -0600

megahal (8.6-9) unstable; urgency=low

  * Patch from Clint Adams <schizo@debian.org> to give the irc bot multiple
    channel support. Closes: #64235

 -- Joey Hess <joeyh@debian.org>  Tue, 16 May 2000 15:34:57 -0700

megahal (8.6-8) unstable; urgency=low

  * Build dep.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 1999 13:29:07 -0800

megahal (8.6-7) unstable; urgency=low

  * FHS

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Sep 1999 14:46:26 -0700

megahal (8.6-6) unstable; urgency=low

  * Added to examples directory, a complete megahal irc bot that connect to
    a channel, listens and learns form everything said, and responds to users.
  * Also added a perl module to make it easy for other perl programs
    to interface to megahal.
  * Changes by Adam Heath <doogie@debian.org>:
    - This release has several patches used to make it more wrapper
      friendly, ie when used inside of a perl wrapper for the purpose
      of placing it on irc.
   - Added command word '#QUIET' to toggle automatic responses.
   - Added --no-prompt(-p) to remove prompt.
   - Added --no-wrap(-w) to keep it from wrapping it replies.
   - Added --no-banner(-b) to suppress the banner on startup.
   - Added a clean target to the megahal makefile.
  * Updated man page to document new command line switches.

 -- Joey Hess <joeyh@debian.org>  Sat, 15 Dec 1998 00:21:28 -0600

megahal (8.6-5) unstable; urgency=low

  * Tried to fix bug #25729, a problem with non-static initializers.

 -- Joey Hess <joeyh@debian.org>  Sat, 15 Aug 1998 12:32:58 -0700

megahal (8.6-4) unstable; urgency=low

  * Really reupload with full source.

 -- Joey Hess <joeyh@debian.org>  Thu, 18 Jun 1998 11:51:08 -0700

megahal (8.6-3) unstable; urgency=low

  * Re-upload including full source, because the non-maintainer release
    had a different source tarball somehow.

 -- Joey Hess <joeyh@debian.org>  Fri, 12 Jun 1998 21:25:38 -0700

megahal (8.6-2) unstable; urgency=low

  * Grr. Someone did a non-maintainer release of version 8.6 becuase I was a
    little slow getting it out. They called it version 8.6-1.1. This is
    _wrong_. Whoever did that, please use -0.0 in the future, like it says
    to in the packaging manual.
  * No changes, just a new version number.

 -- Joey Hess <joeyh@debian.org>  Thu, 28 May 1998 06:20:38 -0400

megahal (8.6-1) unstable; urgency=low

  * New upstream version.
  * Seems to have integrated all the changes I sent to the author.

 -- Joey Hess <joeyh@debian.org>  Tue, 26 May 1998 00:46:19 -0400

megahal (8.1-3) unstable; urgency=low

  * Fixed minor lintian errors.

 -- Joey Hess <joeyh@debian.org>  Thu, 12 Mar 1998 22:29:32 -0800

megahal (8.1-2) unstable; urgency=low

  * Added a man page.
  * Corrected fsf mailing address.

 -- Joey Hess <joeyh@debian.org>  Mon,  9 Feb 1998 16:38:04 -0800

megahal (8.1-1) unstable; urgency=low

  * First release.
  * Fixed 2 bugs that made it crash if it couldn't find a brain or training
    file. (Forwarded to author.)

 -- Joey Hess <joeyh@debian.org>  Sun, 11 Jan 1998 21:50:52 -0500

=== debian/control ===
Source: megahal
Section: misc
Priority: optional
Build-Depends: debhelper, tcl8.3-dev, python1.5-dev
Maintainer: David N. Welton <davidw@debian.org>
Standards-Version: 3.1.1.1

Package: megahal
Architecture: any
Depends: ${shlibs:Depends}
Description: a conversation simulator that can learn as you talk to it
 Conversation simulators are computer programs which give the appearance of
 conversing with a user in natural language. Such programs are effective
 because they exploit the fact that human beings tend to read much more
 meaning into what is said than is actually there; we are fooled into reading
 structure into chaos, and we interpret non-sequitur as valid conversation.
 .
 MegaHAL differs from conversation simulators such as Eliza in that it uses
 a Markov Model to learn how to hold a conversation. It is possible to
 teach MegaHAL to talk about new topics, and in different languages.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

TCLVERSION=8.3

build: build-stamp
build-stamp:
	dh_testdir	
	(export C_INCLUDE_PATH=/usr/include/tcl$(TCLVERSION) ; make -e )
	(export C_INCLUDE_PATH=/usr/include/tcl$(TCLVERSION) ; make -e tcllib )
	(export C_INCLUDE_PATH=/usr/include/tcl$(TCLVERSION) ; make -e pythonlib )
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	make clean
	dh_clean megahal

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/bin usr/lib/megahal
	install -s megahal debian/tmp/usr/bin
	install debian/megahal-personal debian/tmp/usr/bin
	cp -a megahal.aux megahal.ban megahal.grt megahal.swp megahal.trn \
		debian/tmp/usr/lib/megahal
	cp -a mh_python.so libmh_tcl.so debian/tmp/usr/lib/megahal
	dh_installdocs docs/paper.txt docs/README.TXT
	dh_installexamples debian/hal.pl debian/Hal.pm
	dh_installmenu
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_link /usr/share/man/man1/megahal.1 /usr/share/man/man1/megahal-personal.1
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## megahal 9.1.1a

=== Makefile ===
--- 
+++ 
@@ -17,32 +17,40 @@
 #
 
 # DEBUG=-DDEBUG
-CFLAGS=-O3 -g
+TCLVERSION=8.3
+TCLINCLUDE=-I/usr/include/tcl$(TCLVERSION)
+CFLAGS=-g -Wall
 
 
-all:	megahal
+all:	megahal tcllib pythonmodule perlmodule
 
 megahal: main.o megahal.o megahal.h backup
 	gcc $(CFLAGS) -o megahal megahal.o main.o -lm $(DEBUG)
 	@echo "MegaHAL is up to date"
 
 megahal.o: megahal.c megahal.h
-	gcc -fPIC $(CFLAGS) -c megahal.c 
+	gcc -fPIC $(CFLAGS) -c megahal.c
 
 main.o: main.c megahal.h
-	gcc $(CFLAGS) -c main.c 
+	gcc $(CFLAGS) -c main.c
 
 tcl-interface.o: tcl-interface.c
-	gcc -fPIC $(CFLAGS) -c tcl-interface.c
+	gcc -fPIC $(CFLAGS) $(TCLINCLUDE) -c tcl-interface.c
 
 tcllib: megahal.o tcl-interface.o
 	gcc -fPIC -shared -Wl,-soname,libmh_tcl.so -o libmh_tcl.so megahal.o tcl-interface.o
 
-python-interface.o: python-interface.c
-	gcc -fPIC -c python-interface.c
+pythonmodule: python-interface.c megahal.c
+	python setup.py build
 
-pythonlib: megahal.o python-interface.o
-	gcc -fPIC -shared -Wl,-soname,mh_python.so -o mh_python.so megahal.o python-interface.o
+pythonmodule-install:
+	python setup.py install --root=$(DESTDIR)
+
+perlmodule: megahal.c megahal.h
+	cd Megahal && perl Makefile.PL INSTALLDIRS=vendor && make
+
+perlmodule-install:
+	cd Megahal && make install DESTDIR=$(DESTDIR)
 
 version:
 	./cvsversion.tcl
@@ -52,12 +60,16 @@
 
 clean:
 	rm -f megahal
+	rm -rf build
+	if [ -f Megahal/Makefile ]; then \
+	  cd Megahal ; make clean; \
+	fi
 	rm -f megahal.brn megahal.log megahal.txt
 	if [ -e megahal.dic.backup ];then\
 		cp megahal.dic.backup megahal.dic;\
 		rm megahal.dic.backup;\
 	fi
-	-rm *.o *.so *~
+	rm -f *.o *.so *~
 
 backup:
 	if [ ! -e megahal.dic.backup ];then\
@@ -68,6 +80,32 @@
 
 #
 #	$Log: Makefile,v $
+#	Revision 1.8  2004/01/13 10:59:20  lfousse
+#	* Applied code cleaning already shipped with the debian package.
+#	* Removed pure debian stuff.
+#	* Added lacking setup.py file for python module.
+#	
+#	Revision 1.7  2004/01/03 18:16:23  lfousse
+#	Cleaned the perl directory.
+#	Cleaned the Makefile.
+#	Changed debian stuff (but this should not be a native package any longer).
+#	
+#	Revision 1.6  2003/08/26 12:49:16  lfousse
+#	* Added the perl interface
+#	* cleaned up the python interface a bit (but this
+#	  still need some work by a python "expert")
+#	* Added a learn_no_reply function.
+#	
+#	Revision 1.5  2002/10/16 04:32:53  davidw
+#	* megahal.c (change_personality): [ 541667 ] Added patch from Andrew
+#	  Burke to rework logic in change_personality.
+#	
+#	* megahal.c: Trailing white space cleanup.
+#	
+#	* python-interface.c: [ 546397 ] Change python include path to a more
+#	  recent version.  This should really be fixed by using some of
+#	  Python's build automation tools.
+#	
 #	Revision 1.4  2001/07/06 10:16:39  davidw
 #	Added -fPIC for HPPA folks.
 #
